package sib.bedohswe;

public final class LabaStack {
	static {
        	System.loadLibrary("lbji");
	}

	protected LabaStack(long popaddr, long pushaddr, long lenaddr, long maxsize) {
		pop_addr = popaddr;
		push_addr = pushaddr;
		len_addr = lenaddr;
		max_size = maxsize;
	}
	
	public final long max_size;

	public final long pop_addr;
	public final long push_addr;
	public final long len_addr;

	public native short pop();

	public native void push(short number);

	public native long len();
}
